// =============================================================================
// PROJECT      = H_Line Demonstration Board EB-V850ES/HG2-EE (Count Down Timer)
// MODULE       = interrupt.c
// SHORT DESC.  = -
// DEVICE       = V850ES/HG2 (uPD70F3707)
// VERSION      = 1.0
// DATE         = 08.11.2005
// LAST CHANGE  = -
// =============================================================================
// Description:  Interrupt service routines for Count Down Timer
// =============================================================================
// By:           NEC Electronics (Europe) GmbH
//               Arcadiastrasse 10
//               D-40472 Duesseldorf
//
// =============================================================================

//-----------------------------------------------------------------------------
// Include files
//-----------------------------------------------------------------------------
#include <intrinsics.h>
#include "io70f3707.h"

//-----------------------------------------------------------------------------
// Global variables
//-----------------------------------------------------------------------------
extern volatile unsigned char  bTimer2Flag;      // Status Flag 16bit Timer two
extern volatile unsigned char  bKeySW1Flag;      // Status Flag KeySW1
extern volatile unsigned char  bKeySW2Flag;      // Status Flag KeySW2

// ============================================================================
//  Module name: vTimer1
//
//  Description:
//               This module is the Interrupt service routine for 16bit Timer two
//
//  Operation:
//               -
// ============================================================================

#pragma vector = INTTP1CC0_vector
__interrupt __flat void vTimer1(void)
{
    bTimer2Flag = 1 ;                   // Set status flag Timer two
}


// ============================================================================
//  Module name: vKeySW2
//
//  Description:
//               This module is the Interrupt service routine for
//               the external interrupt P0 (-> KeySW2)
//
//  Operation:
//               -
// ============================================================================

#pragma vector = INTP0_vector
__interrupt __flat void vKeySW2(void)
{
    bKeySW2Flag = 1 ;                    // Set status flag KeySW2
}

// ============================================================================
//  Module name: vKeySW1
//
//  Description:
//               This module is the Interrupt service routine for
//               the external interrupt P1 (-> KeySW1)
//
//  Operation:
//               -
// ============================================================================

#pragma vector = INTP1_vector
__interrupt __flat void vKeySW1(void)
{
    bKeySW1Flag = 1 ;                     // Set status flag Key2
}

