//-----------------------------------------------------------------------------
// Defines
//-----------------------------------------------------------------------------

#define TRUE  1
#define FALSE 0

#define TRIGGERWD    WDTE    = 0xAC;
#define STARTTIMER1  TP0CTL0 |= 0x80;
#define STARTTIMER2  TP1CTL0 |= 0x80;
#define STOPTIMER2   TP1CTL0 &= 0x7F;

// I/O register Bit definitions
#define INITTIMER1   TP0CTL0  = 0x03;   \
                     TP0CTL1  = 0x00;   \
                     TP0CCR1  = 0xffff; \
                     TP0CCR0  = 25000;
                     // stop and Clear Timer one
                     // clock selection: fx/2^3 (20.0000 MHz -> 2.5 MHz)
                     // register CCR0 operates as compare register
                     // compare values for 10ms interval
                     // disable Timer one output

#define INITTIMER2   TP1CTL0  = 0x04;   \
                     TP1CTL1  = 0x00;   \
                     TP1CCR1  = 0xffff; \
                     TP1CCR0  = 31250;  \
                     TP1CCIF0 = FALSE;  \
                     TP1CCMK0 = FALSE;
                     // stop and Clear Timer two
                     // clock selection: fx/2^4 (20.0000 MHz -> 1.25 MHz)
                     // register CCR0 operates as compare register
                     // compare values for 25ms interval
                     // disable Timer two output
                     // clear interrupt request Bit Timer two
                     // enable Timer two Interrupt

#define INITTIMER3   TP2CTL0  = 0x03;   \
                     TP2CTL1  = 0x00;   \
                     TP2CCR1  = 0xffff; \
                     TP2CCR0  = 80;     \
                     TP2CCIF0 = FALSE;  \
                     TP2CCMK0 = FALSE;
                     // stop and Clear Timer three
                     // clock selection: fx/2^3 (20.0000 MHz -> 2.5 MHz)
                     // register CCR0 operates as compare register
                     // compare values for 32 us interval
                     // disable Timer three output
                     // clear interrupt request Bit Timer three
                     // enable Timer three Interrupt

