/*-------------------------------------------------------------------------
 *      Declarations of Peripheral I/O registers, I/O register bits,
 *      Interrupt/Exeption vectors, Trap vectors and, V850E only, Callt
 *      vectors for V850E microcontroller uPD70F3707.
 *
 *      This header file can be used by both the V850 assembler, AV850,
 *      and the V850 C/C++ compiler, ICCV850.
 *
 *      This header file is generated from the device file:
 *          DF3707.800
 *          Copyright (C) NEC Corporation 2005
 *          Format version 2.18, File version 1.00 *
 *-------------------------------------------------------------------------*/

#ifndef __IO70F3707_H__
#define __IO70F3707_H__

#if ((__TID__ >> 8) & 0x7F) != 85
#error "IO70F3707.H file for use with AV850 / ICCV850 only"
#endif

#if ((__TID__ >> 4) & 0x0F) != 1
#error "IO70F3707.H file for use with AV850 / ICCV850 option -v1 only"
#endif

#pragma language=extended
#pragma system_include

/***********************************************
 *       I/O register macros
 ***********************************************/

#include "io_macros.h"

/***********************************************
 *       Peripheral I/O register declarations
 ***********************************************/


__IO_REG16(     PDL,             0xFFFFF004,  __READ_WRITE )
__IO_REG8_BIT(  PDLL,            0xFFFFF004,  __READ_WRITE )
__IO_REG8_BIT(  PDLH,            0xFFFFF005,  __READ_WRITE )

__IO_REG8_BIT(  PCS,             0xFFFFF008,  __READ_WRITE )
__IO_REG8_BIT(  PCT,             0xFFFFF00A,  __READ_WRITE )
__IO_REG8_BIT(  PCM,             0xFFFFF00C,  __READ_WRITE )

__IO_REG16(     PMDL,            0xFFFFF024,  __READ_WRITE )
__IO_REG8_BIT(  PMDLL,           0xFFFFF024,  __READ_WRITE )
__IO_REG8_BIT(  PMDLH,           0xFFFFF025,  __READ_WRITE )

__IO_REG8_BIT(  PMCS,            0xFFFFF028,  __READ_WRITE )
__IO_REG8_BIT(  PMCT,            0xFFFFF02A,  __READ_WRITE )
__IO_REG8_BIT(  PMCM,            0xFFFFF02C,  __READ_WRITE )

__IO_REG8_BIT(  PMCCM,           0xFFFFF04C,  __READ_WRITE )

__IO_REG8(      VSWC,            0xFFFFF06E,  __READ_WRITE )

__IO_REG16(     DSA0L,           0xFFFFF080,  __READ_WRITE )
__IO_REG16(     DSA0H,           0xFFFFF082,  __READ_WRITE )
__IO_REG16(     DDA0L,           0xFFFFF084,  __READ_WRITE )
__IO_REG16(     DDA0H,           0xFFFFF086,  __READ_WRITE )
__IO_REG16(     DSA1L,           0xFFFFF088,  __READ_WRITE )
__IO_REG16(     DSA1H,           0xFFFFF08A,  __READ_WRITE )
__IO_REG16(     DDA1L,           0xFFFFF08C,  __READ_WRITE )
__IO_REG16(     DDA1H,           0xFFFFF08E,  __READ_WRITE )
__IO_REG16(     DSA2L,           0xFFFFF090,  __READ_WRITE )
__IO_REG16(     DSA2H,           0xFFFFF092,  __READ_WRITE )
__IO_REG16(     DDA2L,           0xFFFFF094,  __READ_WRITE )
__IO_REG16(     DDA2H,           0xFFFFF096,  __READ_WRITE )
__IO_REG16(     DSA3L,           0xFFFFF098,  __READ_WRITE )
__IO_REG16(     DSA3H,           0xFFFFF09A,  __READ_WRITE )
__IO_REG16(     DDA3L,           0xFFFFF09C,  __READ_WRITE )
__IO_REG16(     DDA3H,           0xFFFFF09E,  __READ_WRITE )

__IO_REG16(     DBC0,            0xFFFFF0C0,  __READ_WRITE )
__IO_REG16(     DBC1,            0xFFFFF0C2,  __READ_WRITE )
__IO_REG16(     DBC2,            0xFFFFF0C4,  __READ_WRITE )
__IO_REG16(     DBC3,            0xFFFFF0C6,  __READ_WRITE )

__IO_REG16(     DADC0,           0xFFFFF0D0,  __READ_WRITE )
__IO_REG16(     DADC1,           0xFFFFF0D2,  __READ_WRITE )
__IO_REG16(     DADC2,           0xFFFFF0D4,  __READ_WRITE )
__IO_REG16(     DADC3,           0xFFFFF0D6,  __READ_WRITE )

__IO_REG8_BIT(  DCHC0,           0xFFFFF0E0,  __READ_WRITE )
__IO_REG8_BIT(  DCHC1,           0xFFFFF0E2,  __READ_WRITE )
__IO_REG8_BIT(  DCHC2,           0xFFFFF0E4,  __READ_WRITE )
__IO_REG8_BIT(  DCHC3,           0xFFFFF0E6,  __READ_WRITE )

__IO_REG16(     IMR0,            0xFFFFF100,  __READ_WRITE )
__IO_REG8_BIT(  IMR0L,           0xFFFFF100,  __READ_WRITE )
__IO_REG8_BIT(  IMR0H,           0xFFFFF101,  __READ_WRITE )
__IO_REG16(     IMR1,            0xFFFFF102,  __READ_WRITE )
__IO_REG8_BIT(  IMR1L,           0xFFFFF102,  __READ_WRITE )
__IO_REG8_BIT(  IMR1H,           0xFFFFF103,  __READ_WRITE )
__IO_REG16(     IMR2,            0xFFFFF104,  __READ_WRITE )
__IO_REG8_BIT(  IMR2L,           0xFFFFF104,  __READ_WRITE )
__IO_REG8_BIT(  IMR2H,           0xFFFFF105,  __READ_WRITE )
__IO_REG16(     IMR3,            0xFFFFF106,  __READ_WRITE )
__IO_REG8_BIT(  IMR3L,           0xFFFFF106,  __READ_WRITE )
__IO_REG8_BIT(  IMR3H,           0xFFFFF107,  __READ_WRITE )

__IO_REG8_BIT(  LVIIC,           0xFFFFF110,  __READ_WRITE )
__IO_REG8_BIT(  PIC0,            0xFFFFF112,  __READ_WRITE )
__IO_REG8_BIT(  PIC1,            0xFFFFF114,  __READ_WRITE )
__IO_REG8_BIT(  PIC2,            0xFFFFF116,  __READ_WRITE )
__IO_REG8_BIT(  PIC3,            0xFFFFF118,  __READ_WRITE )
__IO_REG8_BIT(  PIC4,            0xFFFFF11A,  __READ_WRITE )
__IO_REG8_BIT(  PIC5,            0xFFFFF11C,  __READ_WRITE )
__IO_REG8_BIT(  PIC6,            0xFFFFF11E,  __READ_WRITE )
__IO_REG8_BIT(  PIC7,            0xFFFFF120,  __READ_WRITE )
__IO_REG8_BIT(  TQ0OVIC,         0xFFFFF122,  __READ_WRITE )
__IO_REG8_BIT(  TQ0CCIC0,        0xFFFFF124,  __READ_WRITE )
__IO_REG8_BIT(  TQ0CCIC1,        0xFFFFF126,  __READ_WRITE )
__IO_REG8_BIT(  TQ0CCIC2,        0xFFFFF128,  __READ_WRITE )
__IO_REG8_BIT(  TQ0CCIC3,        0xFFFFF12A,  __READ_WRITE )
__IO_REG8_BIT(  TP0OVIC,         0xFFFFF12C,  __READ_WRITE )
__IO_REG8_BIT(  TP0CCIC0,        0xFFFFF12E,  __READ_WRITE )
__IO_REG8_BIT(  TP0CCIC1,        0xFFFFF130,  __READ_WRITE )
__IO_REG8_BIT(  TP1OVIC,         0xFFFFF132,  __READ_WRITE )
__IO_REG8_BIT(  TP1CCIC0,        0xFFFFF134,  __READ_WRITE )
__IO_REG8_BIT(  TP1CCIC1,        0xFFFFF136,  __READ_WRITE )
__IO_REG8_BIT(  TP2OVIC,         0xFFFFF138,  __READ_WRITE )
__IO_REG8_BIT(  TP2CCIC0,        0xFFFFF13A,  __READ_WRITE )
__IO_REG8_BIT(  TP2CCIC1,        0xFFFFF13C,  __READ_WRITE )
__IO_REG8_BIT(  TP3OVIC,         0xFFFFF13E,  __READ_WRITE )
__IO_REG8_BIT(  TP3CCIC0,        0xFFFFF140,  __READ_WRITE )
__IO_REG8_BIT(  TP3CCIC1,        0xFFFFF142,  __READ_WRITE )
__IO_REG8_BIT(  TM0EQIC0,        0xFFFFF144,  __READ_WRITE )
__IO_REG8_BIT(  CB0RIC,          0xFFFFF146,  __READ_WRITE )
__IO_REG8_BIT(  CB0TIC,          0xFFFFF148,  __READ_WRITE )
__IO_REG8_BIT(  CB1RIC,          0xFFFFF14A,  __READ_WRITE )
__IO_REG8_BIT(  CB1TIC,          0xFFFFF14C,  __READ_WRITE )
__IO_REG8_BIT(  UA0RIC,          0xFFFFF14E,  __READ_WRITE )
__IO_REG8_BIT(  UA0TIC,          0xFFFFF150,  __READ_WRITE )
__IO_REG8_BIT(  UA1RIC,          0xFFFFF152,  __READ_WRITE )
__IO_REG8_BIT(  UA1TIC,          0xFFFFF154,  __READ_WRITE )
__IO_REG8_BIT(  ADIC,            0xFFFFF156,  __READ_WRITE )

__IO_REG8_BIT(  KRIC,            0xFFFFF160,  __READ_WRITE )
__IO_REG8_BIT(  WTIIC,           0xFFFFF162,  __READ_WRITE )
__IO_REG8_BIT(  WTIC,            0xFFFFF164,  __READ_WRITE )
__IO_REG8_BIT(  PIC8,            0xFFFFF166,  __READ_WRITE )
__IO_REG8_BIT(  PIC9,            0xFFFFF168,  __READ_WRITE )
__IO_REG8_BIT(  PIC10,           0xFFFFF16A,  __READ_WRITE )
__IO_REG8_BIT(  TQ1OVIC,         0xFFFFF16C,  __READ_WRITE )
__IO_REG8_BIT(  TQ1CCIC0,        0xFFFFF16E,  __READ_WRITE )
__IO_REG8_BIT(  TQ1CCIC1,        0xFFFFF170,  __READ_WRITE )
__IO_REG8_BIT(  TQ1CCIC2,        0xFFFFF172,  __READ_WRITE )
__IO_REG8_BIT(  TQ1CCIC3,        0xFFFFF174,  __READ_WRITE )
__IO_REG8_BIT(  UA2RIC,          0xFFFFF176,  __READ_WRITE )
__IO_REG8_BIT(  UA2TIC,          0xFFFFF178,  __READ_WRITE )

__IO_REG8_BIT(  DMAIC0,          0xFFFFF182,  __READ_WRITE )
__IO_REG8_BIT(  DMAIC1,          0xFFFFF184,  __READ_WRITE )
__IO_REG8_BIT(  DMAIC2,          0xFFFFF186,  __READ_WRITE )
__IO_REG8_BIT(  DMAIC3,          0xFFFFF188,  __READ_WRITE )

__IO_REG8_BIT(  ISPR,            0xFFFFF1FA,  __READ       )
__IO_REG8(      PRCMD,           0xFFFFF1FC,  __WRITE      )
__IO_REG8_BIT(  PSC,             0xFFFFF1FE,  __READ_WRITE )
__IO_REG8_BIT(  ADA0M0,          0xFFFFF200,  __READ_WRITE )
__IO_REG8_BIT(  ADA0M1,          0xFFFFF201,  __READ_WRITE )
__IO_REG8_BIT(  ADA0S,           0xFFFFF202,  __READ_WRITE )
__IO_REG8_BIT(  ADA0M2,          0xFFFFF203,  __READ_WRITE )
__IO_REG8_BIT(  ADA0PFM,         0xFFFFF204,  __READ_WRITE )
__IO_REG8_BIT(  ADA0PFT,         0xFFFFF205,  __READ_WRITE )

__IO_REG16(     ADA0CR0,         0xFFFFF210,  __READ       )
__IO_REG8(      ADA0CR0H,        0xFFFFF211,  __READ       )
__IO_REG16(     ADA0CR1,         0xFFFFF212,  __READ       )
__IO_REG8(      ADA0CR1H,        0xFFFFF213,  __READ       )
__IO_REG16(     ADA0CR2,         0xFFFFF214,  __READ       )
__IO_REG8(      ADA0CR2H,        0xFFFFF215,  __READ       )
__IO_REG16(     ADA0CR3,         0xFFFFF216,  __READ       )
__IO_REG8(      ADA0CR3H,        0xFFFFF217,  __READ       )
__IO_REG16(     ADA0CR4,         0xFFFFF218,  __READ       )
__IO_REG8(      ADA0CR4H,        0xFFFFF219,  __READ       )
__IO_REG16(     ADA0CR5,         0xFFFFF21A,  __READ       )
__IO_REG8(      ADA0CR5H,        0xFFFFF21B,  __READ       )
__IO_REG16(     ADA0CR6,         0xFFFFF21C,  __READ       )
__IO_REG8(      ADA0CR6H,        0xFFFFF21D,  __READ       )
__IO_REG16(     ADA0CR7,         0xFFFFF21E,  __READ       )
__IO_REG8(      ADA0CR7H,        0xFFFFF21F,  __READ       )
__IO_REG16(     ADA0CR8,         0xFFFFF220,  __READ       )
__IO_REG8(      ADA0CR8H,        0xFFFFF221,  __READ       )
__IO_REG16(     ADA0CR9,         0xFFFFF222,  __READ       )
__IO_REG8(      ADA0CR9H,        0xFFFFF223,  __READ       )
__IO_REG16(     ADA0CR10,        0xFFFFF224,  __READ       )
__IO_REG8(      ADA0CR10H,       0xFFFFF225,  __READ       )
__IO_REG16(     ADA0CR11,        0xFFFFF226,  __READ       )
__IO_REG8(      ADA0CR11H,       0xFFFFF227,  __READ       )
__IO_REG16(     ADA0CR12,        0xFFFFF228,  __READ       )
__IO_REG8(      ADA0CR12H,       0xFFFFF229,  __READ       )
__IO_REG16(     ADA0CR13,        0xFFFFF22A,  __READ       )
__IO_REG8(      ADA0CR13H,       0xFFFFF22B,  __READ       )
__IO_REG16(     ADA0CR14,        0xFFFFF22C,  __READ       )
__IO_REG8(      ADA0CR14H,       0xFFFFF22D,  __READ       )
__IO_REG16(     ADA0CR15,        0xFFFFF22E,  __READ       )
__IO_REG8(      ADA0CR15H,       0xFFFFF22F,  __READ       )

__IO_REG8_BIT(  KRM,             0xFFFFF300,  __READ_WRITE )

__IO_REG8_BIT(  SELCNT0,         0xFFFFF308,  __READ_WRITE )

__IO_REG8_BIT(  NFC,             0xFFFFF318,  __READ_WRITE )

__IO_REG8_BIT(  P0,              0xFFFFF400,  __READ_WRITE )
__IO_REG8_BIT(  P1,              0xFFFFF402,  __READ_WRITE )

__IO_REG16(     P3,              0xFFFFF406,  __READ_WRITE )
__IO_REG8_BIT(  P3L,             0xFFFFF406,  __READ_WRITE )
__IO_REG8_BIT(  P3H,             0xFFFFF407,  __READ_WRITE )
__IO_REG8_BIT(  P4,              0xFFFFF408,  __READ_WRITE )
__IO_REG8_BIT(  P5,              0xFFFFF40A,  __READ_WRITE )

__IO_REG8_BIT(  P7L,             0xFFFFF40E,  __READ_WRITE )
__IO_REG8_BIT(  P7H,             0xFFFFF40F,  __READ_WRITE )

__IO_REG16(     P9,              0xFFFFF412,  __READ_WRITE )
__IO_REG8_BIT(  P9L,             0xFFFFF412,  __READ_WRITE )
__IO_REG8_BIT(  P9H,             0xFFFFF413,  __READ_WRITE )

__IO_REG8_BIT(  PM0,             0xFFFFF420,  __READ_WRITE )
__IO_REG8_BIT(  PM1,             0xFFFFF422,  __READ_WRITE )

__IO_REG16(     PM3,             0xFFFFF426,  __READ_WRITE )
__IO_REG8_BIT(  PM3L,            0xFFFFF426,  __READ_WRITE )
__IO_REG8_BIT(  PM3H,            0xFFFFF427,  __READ_WRITE )
__IO_REG8_BIT(  PM4,             0xFFFFF428,  __READ_WRITE )
__IO_REG8_BIT(  PM5,             0xFFFFF42A,  __READ_WRITE )

__IO_REG8_BIT(  PM7L,            0xFFFFF42E,  __READ_WRITE )
__IO_REG8_BIT(  PM7H,            0xFFFFF42F,  __READ_WRITE )

__IO_REG16(     PM9,             0xFFFFF432,  __READ_WRITE )
__IO_REG8_BIT(  PM9L,            0xFFFFF432,  __READ_WRITE )
__IO_REG8_BIT(  PM9H,            0xFFFFF433,  __READ_WRITE )

__IO_REG8_BIT(  PMC0,            0xFFFFF440,  __READ_WRITE )
__IO_REG8_BIT(  PMC1,            0xFFFFF442,  __READ_WRITE )

__IO_REG16(     PMC3,            0xFFFFF446,  __READ_WRITE )
__IO_REG8_BIT(  PMC3L,           0xFFFFF446,  __READ_WRITE )
__IO_REG8_BIT(  PMC3H,           0xFFFFF447,  __READ_WRITE )
__IO_REG8_BIT(  PMC4,            0xFFFFF448,  __READ_WRITE )
__IO_REG8_BIT(  PMC5,            0xFFFFF44A,  __READ_WRITE )

__IO_REG16(     PMC9,            0xFFFFF452,  __READ_WRITE )
__IO_REG8_BIT(  PMC9L,           0xFFFFF452,  __READ_WRITE )
__IO_REG8_BIT(  PMC9H,           0xFFFFF453,  __READ_WRITE )

__IO_REG8_BIT(  PFC0,            0xFFFFF460,  __READ_WRITE )

__IO_REG8_BIT(  PFC3L,           0xFFFFF466,  __READ_WRITE )

__IO_REG8_BIT(  PFC5,            0xFFFFF46A,  __READ_WRITE )

__IO_REG16(     PFC9,            0xFFFFF472,  __READ_WRITE )
__IO_REG8_BIT(  PFC9L,           0xFFFFF472,  __READ_WRITE )
__IO_REG8_BIT(  PFC9H,           0xFFFFF473,  __READ_WRITE )

__IO_REG8_BIT(  TQ0CTL0,         0xFFFFF540,  __READ_WRITE )
__IO_REG8_BIT(  TQ0CTL1,         0xFFFFF541,  __READ_WRITE )
__IO_REG8_BIT(  TQ0IOC0,         0xFFFFF542,  __READ_WRITE )
__IO_REG8_BIT(  TQ0IOC1,         0xFFFFF543,  __READ_WRITE )
__IO_REG8_BIT(  TQ0IOC2,         0xFFFFF544,  __READ_WRITE )
__IO_REG8_BIT(  TQ0OPT0,         0xFFFFF545,  __READ_WRITE )
__IO_REG16(     TQ0CCR0,         0xFFFFF546,  __READ_WRITE )
__IO_REG16(     TQ0CCR1,         0xFFFFF548,  __READ_WRITE )
__IO_REG16(     TQ0CCR2,         0xFFFFF54A,  __READ_WRITE )
__IO_REG16(     TQ0CCR3,         0xFFFFF54C,  __READ_WRITE )
__IO_REG16(     TQ0CNT,          0xFFFFF54E,  __READ       )

__IO_REG8_BIT(  TP0CTL0,         0xFFFFF590,  __READ_WRITE )
__IO_REG8_BIT(  TP0CTL1,         0xFFFFF591,  __READ_WRITE )
__IO_REG8_BIT(  TP0IOC0,         0xFFFFF592,  __READ_WRITE )
__IO_REG8_BIT(  TP0IOC1,         0xFFFFF593,  __READ_WRITE )
__IO_REG8_BIT(  TP0IOC2,         0xFFFFF594,  __READ_WRITE )
__IO_REG8_BIT(  TP0OPT0,         0xFFFFF595,  __READ_WRITE )
__IO_REG16(     TP0CCR0,         0xFFFFF596,  __READ_WRITE )
__IO_REG16(     TP0CCR1,         0xFFFFF598,  __READ_WRITE )
__IO_REG16(     TP0CNT,          0xFFFFF59A,  __READ       )

__IO_REG8_BIT(  TP1CTL0,         0xFFFFF5A0,  __READ_WRITE )
__IO_REG8_BIT(  TP1CTL1,         0xFFFFF5A1,  __READ_WRITE )
__IO_REG8_BIT(  TP1IOC0,         0xFFFFF5A2,  __READ_WRITE )
__IO_REG8_BIT(  TP1IOC1,         0xFFFFF5A3,  __READ_WRITE )
__IO_REG8_BIT(  TP1IOC2,         0xFFFFF5A4,  __READ_WRITE )
__IO_REG8_BIT(  TP1OPT0,         0xFFFFF5A5,  __READ_WRITE )
__IO_REG16(     TP1CCR0,         0xFFFFF5A6,  __READ_WRITE )
__IO_REG16(     TP1CCR1,         0xFFFFF5A8,  __READ_WRITE )
__IO_REG16(     TP1CNT,          0xFFFFF5AA,  __READ       )

__IO_REG8_BIT(  TP2CTL0,         0xFFFFF5B0,  __READ_WRITE )
__IO_REG8_BIT(  TP2CTL1,         0xFFFFF5B1,  __READ_WRITE )
__IO_REG8_BIT(  TP2IOC0,         0xFFFFF5B2,  __READ_WRITE )
__IO_REG8_BIT(  TP2IOC1,         0xFFFFF5B3,  __READ_WRITE )
__IO_REG8_BIT(  TP2IOC2,         0xFFFFF5B4,  __READ_WRITE )
__IO_REG8_BIT(  TP2OPT0,         0xFFFFF5B5,  __READ_WRITE )
__IO_REG16(     TP2CCR0,         0xFFFFF5B6,  __READ_WRITE )
__IO_REG16(     TP2CCR1,         0xFFFFF5B8,  __READ_WRITE )
__IO_REG16(     TP2CNT,          0xFFFFF5BA,  __READ       )

__IO_REG8_BIT(  TP3CTL0,         0xFFFFF5C0,  __READ_WRITE )
__IO_REG8_BIT(  TP3CTL1,         0xFFFFF5C1,  __READ_WRITE )
__IO_REG8_BIT(  TP3IOC0,         0xFFFFF5C2,  __READ_WRITE )
__IO_REG8_BIT(  TP3IOC1,         0xFFFFF5C3,  __READ_WRITE )
__IO_REG8_BIT(  TP3IOC2,         0xFFFFF5C4,  __READ_WRITE )
__IO_REG8_BIT(  TP3OPT0,         0xFFFFF5C5,  __READ_WRITE )
__IO_REG16(     TP3CCR0,         0xFFFFF5C6,  __READ_WRITE )
__IO_REG16(     TP3CCR1,         0xFFFFF5C8,  __READ_WRITE )
__IO_REG16(     TP3CNT,          0xFFFFF5CA,  __READ       )

__IO_REG8_BIT(  TQ1CTL0,         0xFFFFF610,  __READ_WRITE )
__IO_REG8_BIT(  TQ1CTL1,         0xFFFFF611,  __READ_WRITE )
__IO_REG8_BIT(  TQ1IOC0,         0xFFFFF612,  __READ_WRITE )
__IO_REG8_BIT(  TQ1IOC1,         0xFFFFF613,  __READ_WRITE )
__IO_REG8_BIT(  TQ1IOC2,         0xFFFFF614,  __READ_WRITE )
__IO_REG8_BIT(  TQ1OPT0,         0xFFFFF615,  __READ_WRITE )
__IO_REG16(     TQ1CCR0,         0xFFFFF616,  __READ_WRITE )
__IO_REG16(     TQ1CCR1,         0xFFFFF618,  __READ_WRITE )
__IO_REG16(     TQ1CCR2,         0xFFFFF61A,  __READ_WRITE )
__IO_REG16(     TQ1CCR3,         0xFFFFF61C,  __READ_WRITE )
__IO_REG16(     TQ1CNT,          0xFFFFF61E,  __READ       )

__IO_REG8_BIT(  WTM,             0xFFFFF680,  __READ_WRITE )

__IO_REG8_BIT(  TM0CTL0,         0xFFFFF690,  __READ_WRITE )

__IO_REG16(     TM0CMP0,         0xFFFFF694,  __READ_WRITE )

__IO_REG8(      OSTS,            0xFFFFF6C0,  __READ_WRITE )
__IO_REG8(      PLLS,            0xFFFFF6C1,  __READ_WRITE )

__IO_REG8_BIT(  WDTM2,           0xFFFFF6D0,  __READ_WRITE )
__IO_REG8(      WDTE,            0xFFFFF6D1,  __READ_WRITE )

__IO_REG8_BIT(  PFCE3L,          0xFFFFF706,  __READ_WRITE )

__IO_REG8_BIT(  PFCE5,           0xFFFFF70A,  __READ_WRITE )

__IO_REG16(     PFCE9,           0xFFFFF712,  __READ_WRITE )
__IO_REG8_BIT(  PFCE9L,          0xFFFFF712,  __READ_WRITE )
__IO_REG8_BIT(  PFCE9H,          0xFFFFF713,  __READ_WRITE )

__IO_REG8_BIT(  SYS,             0xFFFFF802,  __READ_WRITE )

__IO_REG8_BIT(  RCM,             0xFFFFF80C,  __READ_WRITE )

__IO_REG8_BIT(  DTFR0,           0xFFFFF810,  __READ_WRITE )
__IO_REG8_BIT(  DTFR1,           0xFFFFF812,  __READ_WRITE )
__IO_REG8_BIT(  DTFR2,           0xFFFFF814,  __READ_WRITE )
__IO_REG8_BIT(  DTFR3,           0xFFFFF816,  __READ_WRITE )

__IO_REG8_BIT(  PSMR,            0xFFFFF820,  __READ_WRITE )

__IO_REG8_BIT(  LOCKR,           0xFFFFF824,  __READ       )

__IO_REG8_BIT(  PCC,             0xFFFFF828,  __READ_WRITE )

__IO_REG8_BIT(  PLLCTL,          0xFFFFF82C,  __READ_WRITE )
__IO_REG8_BIT(  CCLS,            0xFFFFF82E,  __READ       )
__IO_REG8_BIT(  PCLM,            0xFFFFF82F,  __READ_WRITE )

__IO_REG8_BIT(  CLM,             0xFFFFF870,  __READ_WRITE )

__IO_REG8_BIT(  RESF,            0xFFFFF888,  __READ_WRITE )

__IO_REG8_BIT(  LVIM,            0xFFFFF890,  __READ_WRITE )
__IO_REG8(      LVIS,            0xFFFFF891,  __READ_WRITE )
__IO_REG8_BIT(  RAMS,            0xFFFFF892,  __READ_WRITE )

__IO_REG8_BIT(  PRSM0,           0xFFFFF8B0,  __READ_WRITE )
__IO_REG8(      PRSCM0,          0xFFFFF8B1,  __READ_WRITE )

__IO_REG8_BIT(  OCDM,            0xFFFFF9FC,  __READ_WRITE )
__IO_REG8_BIT(  PEMU1,           0xFFFFF9FE,  __READ_WRITE )
__IO_REG8_BIT(  UA0CTL0,         0xFFFFFA00,  __READ_WRITE )
__IO_REG8(      UA0CTL1,         0xFFFFFA01,  __READ_WRITE )
__IO_REG8(      UA0CTL2,         0xFFFFFA02,  __READ_WRITE )
__IO_REG8_BIT(  UA0OPT0,         0xFFFFFA03,  __READ_WRITE )
__IO_REG8_BIT(  UA0STR,          0xFFFFFA04,  __READ_WRITE )
__IO_REG8(      UA0RX,           0xFFFFFA06,  __READ       )
__IO_REG8(      UA0TX,           0xFFFFFA07,  __READ_WRITE )

__IO_REG8_BIT(  UA1CTL0,         0xFFFFFA10,  __READ_WRITE )
__IO_REG8(      UA1CTL1,         0xFFFFFA11,  __READ_WRITE )
__IO_REG8(      UA1CTL2,         0xFFFFFA12,  __READ_WRITE )
__IO_REG8_BIT(  UA1OPT0,         0xFFFFFA13,  __READ_WRITE )
__IO_REG8_BIT(  UA1STR,          0xFFFFFA14,  __READ_WRITE )
__IO_REG8(      UA1RX,           0xFFFFFA16,  __READ       )
__IO_REG8(      UA1TX,           0xFFFFFA17,  __READ_WRITE )

__IO_REG8_BIT(  UA2CTL0,         0xFFFFFA20,  __READ_WRITE )
__IO_REG8(      UA2CTL1,         0xFFFFFA21,  __READ_WRITE )
__IO_REG8(      UA2CTL2,         0xFFFFFA22,  __READ_WRITE )
__IO_REG8_BIT(  UA2OPT0,         0xFFFFFA23,  __READ_WRITE )
__IO_REG8_BIT(  UA2STR,          0xFFFFFA24,  __READ_WRITE )
__IO_REG8(      UA2RX,           0xFFFFFA26,  __READ       )
__IO_REG8(      UA2TX,           0xFFFFFA27,  __READ_WRITE )

__IO_REG8_BIT(  P00NFC,          0xFFFFFB00,  __READ_WRITE )

__IO_REG8_BIT(  P01NFC,          0xFFFFFB04,  __READ_WRITE )

__IO_REG8_BIT(  P10NFC,          0xFFFFFB08,  __READ_WRITE )

__IO_REG8_BIT(  P11NFC,          0xFFFFFB0C,  __READ_WRITE )

__IO_REG8_BIT(  P20NFC,          0xFFFFFB10,  __READ_WRITE )

__IO_REG8_BIT(  P21NFC,          0xFFFFFB14,  __READ_WRITE )

__IO_REG8_BIT(  P30NFC,          0xFFFFFB18,  __READ_WRITE )

__IO_REG8_BIT(  P31NFC,          0xFFFFFB1C,  __READ_WRITE )

__IO_REG8_BIT(  Q00NFC,          0xFFFFFB50,  __READ_WRITE )

__IO_REG8_BIT(  Q01NFC,          0xFFFFFB54,  __READ_WRITE )

__IO_REG8_BIT(  Q02NFC,          0xFFFFFB58,  __READ_WRITE )

__IO_REG8_BIT(  Q03NFC,          0xFFFFFB5C,  __READ_WRITE )

__IO_REG8_BIT(  Q10NFC,          0xFFFFFB60,  __READ_WRITE )

__IO_REG8_BIT(  Q11NFC,          0xFFFFFB64,  __READ_WRITE )

__IO_REG8_BIT(  Q12NFC,          0xFFFFFB68,  __READ_WRITE )

__IO_REG8_BIT(  Q13NFC,          0xFFFFFB6C,  __READ_WRITE )

__IO_REG8_BIT(  INTF0,           0xFFFFFC00,  __READ_WRITE )
__IO_REG8_BIT(  INTF1,           0xFFFFFC02,  __READ_WRITE )

__IO_REG16(     INTF3,           0xFFFFFC06,  __READ_WRITE )
__IO_REG8_BIT(  INTF3L,          0xFFFFFC06,  __READ_WRITE )
__IO_REG8_BIT(  INTF3H,          0xFFFFFC07,  __READ_WRITE )

__IO_REG8_BIT(  INTF9H,          0xFFFFFC13,  __READ_WRITE )

__IO_REG8_BIT(  INTR0,           0xFFFFFC20,  __READ_WRITE )
__IO_REG8_BIT(  INTR1,           0xFFFFFC22,  __READ_WRITE )

__IO_REG16(     INTR3,           0xFFFFFC26,  __READ_WRITE )
__IO_REG8_BIT(  INTR3L,          0xFFFFFC26,  __READ_WRITE )
__IO_REG8_BIT(  INTR3H,          0xFFFFFC27,  __READ_WRITE )

__IO_REG8_BIT(  INTR9H,          0xFFFFFC33,  __READ_WRITE )

__IO_REG8_BIT(  PU0,             0xFFFFFC40,  __READ_WRITE )
__IO_REG8_BIT(  PU1,             0xFFFFFC42,  __READ_WRITE )

__IO_REG16(     PU3,             0xFFFFFC46,  __READ_WRITE )
__IO_REG8_BIT(  PU3L,            0xFFFFFC46,  __READ_WRITE )
__IO_REG8_BIT(  PU3H,            0xFFFFFC47,  __READ_WRITE )
__IO_REG8_BIT(  PU4,             0xFFFFFC48,  __READ_WRITE )
__IO_REG8_BIT(  PU5,             0xFFFFFC4A,  __READ_WRITE )

__IO_REG16(     PU9,             0xFFFFFC52,  __READ_WRITE )
__IO_REG8_BIT(  PU9L,            0xFFFFFC52,  __READ_WRITE )
__IO_REG8_BIT(  PU9H,            0xFFFFFC53,  __READ_WRITE )

__IO_REG8_BIT(  CB0CTL0,         0xFFFFFD00,  __READ_WRITE )
__IO_REG8_BIT(  CB0CTL1,         0xFFFFFD01,  __READ_WRITE )
__IO_REG8(      CB0CTL2,         0xFFFFFD02,  __READ_WRITE )
__IO_REG8_BIT(  CB0STR,          0xFFFFFD03,  __READ_WRITE )
__IO_REG16(     CB0RX,           0xFFFFFD04,  __READ       )
__IO_REG8(      CB0RXL,          0xFFFFFD04,  __READ       )
__IO_REG16(     CB0TX,           0xFFFFFD06,  __READ_WRITE )
__IO_REG8(      CB0TXL,          0xFFFFFD06,  __READ_WRITE )

__IO_REG8_BIT(  CB1CTL0,         0xFFFFFD10,  __READ_WRITE )
__IO_REG8_BIT(  CB1CTL1,         0xFFFFFD11,  __READ_WRITE )
__IO_REG8(      CB1CTL2,         0xFFFFFD12,  __READ_WRITE )
__IO_REG8_BIT(  CB1STR,          0xFFFFFD13,  __READ_WRITE )
__IO_REG16(     CB1RX,           0xFFFFFD14,  __READ       )
__IO_REG8(      CB1RXL,          0xFFFFFD14,  __READ       )
__IO_REG16(     CB1TX,           0xFFFFFD16,  __READ_WRITE )
__IO_REG8(      CB1TXL,          0xFFFFFD16,  __READ_WRITE )

/***********************************************
 *       Peripheral I/O bit declarations
 ***********************************************/

#ifdef __IAR_SYSTEMS_ICC__

#define E00               DCHC0_bit.no0
#define STG0              DCHC0_bit.no1
#define INIT0             DCHC0_bit.no2
#define TC0               DCHC0_bit.no7

#define E11               DCHC1_bit.no0
#define STG1              DCHC1_bit.no1
#define INIT1             DCHC1_bit.no2
#define TC1               DCHC1_bit.no7

#define E22               DCHC2_bit.no0
#define STG2              DCHC2_bit.no1
#define INIT2             DCHC2_bit.no2
#define TC2               DCHC2_bit.no7

#define E33               DCHC3_bit.no0
#define STG3              DCHC3_bit.no1
#define INIT3             DCHC3_bit.no2
#define TC3               DCHC3_bit.no7

#define LVIMK             LVIIC_bit.no6
#define LVIIF             LVIIC_bit.no7

#define PMK0              PIC0_bit.no6
#define PIF0              PIC0_bit.no7

#define PMK1              PIC1_bit.no6
#define PIF1              PIC1_bit.no7

#define PMK2              PIC2_bit.no6
#define PIF2              PIC2_bit.no7

#define PMK3              PIC3_bit.no6
#define PIF3              PIC3_bit.no7

#define PMK4              PIC4_bit.no6
#define PIF4              PIC4_bit.no7

#define PMK5              PIC5_bit.no6
#define PIF5              PIC5_bit.no7

#define PMK6              PIC6_bit.no6
#define PIF6              PIC6_bit.no7

#define PMK7              PIC7_bit.no6
#define PIF7              PIC7_bit.no7

#define TQ0OVMK           TQ0OVIC_bit.no6
#define TQ0OVIF           TQ0OVIC_bit.no7

#define TQ0CCMK0          TQ0CCIC0_bit.no6
#define TQ0CCIF0          TQ0CCIC0_bit.no7

#define TQ0CCMK1          TQ0CCIC1_bit.no6
#define TQ0CCIF1          TQ0CCIC1_bit.no7

#define TQ0CCMK2          TQ0CCIC2_bit.no6
#define TQ0CCIF2          TQ0CCIC2_bit.no7

#define TQ0CCMK3          TQ0CCIC3_bit.no6
#define TQ0CCIF3          TQ0CCIC3_bit.no7

#define TP0OVMK           TP0OVIC_bit.no6
#define TP0OVIF           TP0OVIC_bit.no7

#define TP0CCMK0          TP0CCIC0_bit.no6
#define TP0CCIF0          TP0CCIC0_bit.no7

#define TP0CCMK1          TP0CCIC1_bit.no6
#define TP0CCIF1          TP0CCIC1_bit.no7

#define TP1OVMK           TP1OVIC_bit.no6
#define TP1OVIF           TP1OVIC_bit.no7

#define TP1CCMK0          TP1CCIC0_bit.no6
#define TP1CCIF0          TP1CCIC0_bit.no7

#define TP1CCMK1          TP1CCIC1_bit.no6
#define TP1CCIF1          TP1CCIC1_bit.no7

#define TP2OVMK           TP2OVIC_bit.no6
#define TP2OVIF           TP2OVIC_bit.no7

#define TP2CCMK0          TP2CCIC0_bit.no6
#define TP2CCIF0          TP2CCIC0_bit.no7

#define TP2CCMK1          TP2CCIC1_bit.no6
#define TP2CCIF1          TP2CCIC1_bit.no7

#define TP3OVMK           TP3OVIC_bit.no6
#define TP3OVIF           TP3OVIC_bit.no7

#define TP3CCMK0          TP3CCIC0_bit.no6
#define TP3CCIF0          TP3CCIC0_bit.no7

#define TP3CCMK1          TP3CCIC1_bit.no6
#define TP3CCIF1          TP3CCIC1_bit.no7

#define TM0EQMK0          TM0EQIC0_bit.no6
#define TM0EQIF0          TM0EQIC0_bit.no7

#define CB0RMK            CB0RIC_bit.no6
#define CB0RIF            CB0RIC_bit.no7

#define CB0TMK            CB0TIC_bit.no6
#define CB0TIF            CB0TIC_bit.no7

#define CB1RMK            CB1RIC_bit.no6
#define CB1RIF            CB1RIC_bit.no7

#define CB1TMK            CB1TIC_bit.no6
#define CB1TIF            CB1TIC_bit.no7

#define UA0RMK            UA0RIC_bit.no6
#define UA0RIF            UA0RIC_bit.no7

#define UA0TMK            UA0TIC_bit.no6
#define UA0TIF            UA0TIC_bit.no7

#define UA1RMK            UA1RIC_bit.no6
#define UA1RIF            UA1RIC_bit.no7

#define UA1TMK            UA1TIC_bit.no6
#define UA1TIF            UA1TIC_bit.no7

#define ADMK              ADIC_bit.no6
#define ADIF              ADIC_bit.no7

#define KRMK              KRIC_bit.no6
#define KRIF              KRIC_bit.no7

#define WTIMK             WTIIC_bit.no6
#define WTIIF             WTIIC_bit.no7

#define WTMK              WTIC_bit.no6
#define WTIF              WTIC_bit.no7

#define PMK8              PIC8_bit.no6
#define PIF8              PIC8_bit.no7

#define PMK9              PIC9_bit.no6
#define PIF9              PIC9_bit.no7

#define PMK10             PIC10_bit.no6
#define PIF10             PIC10_bit.no7

#define TQ1OVMK           TQ1OVIC_bit.no6
#define TQ1OVIF           TQ1OVIC_bit.no7

#define TQ1CCMK0          TQ1CCIC0_bit.no6
#define TQ1CCIF0          TQ1CCIC0_bit.no7

#define TQ1CCMK1          TQ1CCIC1_bit.no6
#define TQ1CCIF1          TQ1CCIC1_bit.no7

#define TQ1CCMK2          TQ1CCIC2_bit.no6
#define TQ1CCIF2          TQ1CCIC2_bit.no7

#define TQ1CCMK3          TQ1CCIC3_bit.no6
#define TQ1CCIF3          TQ1CCIC3_bit.no7

#define UA2RMK            UA2RIC_bit.no6
#define UA2RIF            UA2RIC_bit.no7

#define UA2TMK            UA2TIC_bit.no6
#define UA2TIF            UA2TIC_bit.no7

#define DMAMK0            DMAIC0_bit.no6
#define DMAIF0            DMAIC0_bit.no7

#define DMAMK1            DMAIC1_bit.no6
#define DMAIF1            DMAIC1_bit.no7

#define DMAMK2            DMAIC2_bit.no6
#define DMAIF2            DMAIC2_bit.no7

#define DMAMK3            DMAIC3_bit.no6
#define DMAIF3            DMAIC3_bit.no7

#define ISPR0             ISPR_bit.no0
#define ISPR1             ISPR_bit.no1
#define ISPR2             ISPR_bit.no2
#define ISPR3             ISPR_bit.no3
#define ISPR4             ISPR_bit.no4
#define ISPR5             ISPR_bit.no5
#define ISPR6             ISPR_bit.no6
#define ISPR7             ISPR_bit.no7

#define STP               PSC_bit.no1
#define INTM              PSC_bit.no4
#define NMI0M             PSC_bit.no5
#define NMI1M             PSC_bit.no6

#define ADA0EF            ADA0M0_bit.no0
#define ADA0CE            ADA0M0_bit.no7

#define ADA0PFC           ADA0PFM_bit.no6
#define ADA0PFE           ADA0PFM_bit.no7

#define ADA0PFT0          ADA0PFT_bit.no0
#define ADA0PFT1          ADA0PFT_bit.no1
#define ADA0PFT2          ADA0PFT_bit.no2
#define ADA0PFT3          ADA0PFT_bit.no3
#define ADA0PFT4          ADA0PFT_bit.no4
#define ADA0PFT5          ADA0PFT_bit.no5
#define ADA0PFT6          ADA0PFT_bit.no6
#define ADA0PFT7          ADA0PFT_bit.no7

#define ISEL02            SELCNT0_bit.no2
#define ISEL03            SELCNT0_bit.no3
#define ISEL04            SELCNT0_bit.no4
#define ISEL05            SELCNT0_bit.no5

#define TQ0CE             TQ0CTL0_bit.no7

#define TQ0EEE            TQ0CTL1_bit.no5
#define TQ0EST            TQ0CTL1_bit.no6
#define TQ0SYE            TQ0CTL1_bit.no7

#define TQ0OE0            TQ0IOC0_bit.no0
#define TQ0OE1            TQ0IOC0_bit.no2
#define TQ0OE2            TQ0IOC0_bit.no4
#define TQ0OE3            TQ0IOC0_bit.no6

#define TQ0OVF            TQ0OPT0_bit.no0

#define TP0CE             TP0CTL0_bit.no7

#define TP0EEE            TP0CTL1_bit.no5
#define TP0EST            TP0CTL1_bit.no6

#define TP0OE0            TP0IOC0_bit.no0
#define TP0OE1            TP0IOC0_bit.no2

#define TP0OVF            TP0OPT0_bit.no0

#define TP1CE             TP1CTL0_bit.no7

#define TP1EEE            TP1CTL1_bit.no5
#define TP1EST            TP1CTL1_bit.no6
#define TP1SYE            TP1CTL1_bit.no7

#define TP1OE0            TP1IOC0_bit.no0
#define TP1OE1            TP1IOC0_bit.no2

#define TP1OVF            TP1OPT0_bit.no0

#define TP2CE             TP2CTL0_bit.no7

#define TP2EEE            TP2CTL1_bit.no5
#define TP2EST            TP2CTL1_bit.no6

#define TP2OE0            TP2IOC0_bit.no0
#define TP2OE1            TP2IOC0_bit.no2

#define TP2OVF            TP2OPT0_bit.no0

#define TP3CE             TP3CTL0_bit.no7

#define TP3EEE            TP3CTL1_bit.no5
#define TP3EST            TP3CTL1_bit.no6
#define TP3SYE            TP3CTL1_bit.no7

#define TP3OE0            TP3IOC0_bit.no0
#define TP3OE1            TP3IOC0_bit.no2

#define TP3OVF            TP3OPT0_bit.no0

#define TQ1CE             TQ1CTL0_bit.no7

#define TQ1EEE            TQ1CTL1_bit.no5
#define TQ1EST            TQ1CTL1_bit.no6

#define TQ1OE0            TQ1IOC0_bit.no0
#define TQ1OE1            TQ1IOC0_bit.no2
#define TQ1OE2            TQ1IOC0_bit.no4
#define TQ1OE3            TQ1IOC0_bit.no6

#define TQ1OVF            TQ1OPT0_bit.no0

#define WTM0              WTM_bit.no0
#define WTM1              WTM_bit.no1

#define TM0CE             TM0CTL0_bit.no7

#define PRERR             SYS_bit.no0

#define RSTOP             RCM_bit.no0

#define DF0               DTFR0_bit.no7

#define DF1               DTFR1_bit.no7

#define DF2               DTFR2_bit.no7

#define DF3               DTFR3_bit.no7

#define PSM0              PSMR_bit.no0
#define PSM1              PSMR_bit.no1

#define LOCK              LOCKR_bit.no0

#define CK3               PCC_bit.no3
#define CLS               PCC_bit.no4
#define MCK               PCC_bit.no6

#define PLLON             PLLCTL_bit.no0
#define SELPLL            PLLCTL_bit.no1

#define PCLE              PCLM_bit.no4

#define CLME              CLM_bit.no0

#define LVIF              LVIM_bit.no0
#define LVIMD             LVIM_bit.no1
#define LVION             LVIM_bit.no7

#define RAMF              RAMS_bit.no0

#define BGCE0             PRSM0_bit.no4

#define OCDM0             OCDM_bit.no0

#define UA0DIR            UA0CTL0_bit.no4
#define UA0RXE            UA0CTL0_bit.no5
#define UA0TXE            UA0CTL0_bit.no6
#define UA0PWR            UA0CTL0_bit.no7

#define UA0SRF            UA0OPT0_bit.no7

#define UA0OVE            UA0STR_bit.no0
#define UA0FE             UA0STR_bit.no1
#define UA0PE             UA0STR_bit.no2
#define UA0TSF            UA0STR_bit.no7

#define UA1DIR            UA1CTL0_bit.no4
#define UA1RXE            UA1CTL0_bit.no5
#define UA1TXE            UA1CTL0_bit.no6
#define UA1PWR            UA1CTL0_bit.no7

#define UA1SRF            UA1OPT0_bit.no7

#define UA1OVE            UA1STR_bit.no0
#define UA1FE             UA1STR_bit.no1
#define UA1PE             UA1STR_bit.no2
#define UA1TSF            UA1STR_bit.no7

#define UA2DIR            UA2CTL0_bit.no4
#define UA2RXE            UA2CTL0_bit.no5
#define UA2TXE            UA2CTL0_bit.no6
#define UA2PWR            UA2CTL0_bit.no7

#define UA2SRF            UA2OPT0_bit.no7

#define UA2OVE            UA2STR_bit.no0
#define UA2FE             UA2STR_bit.no1
#define UA2PE             UA2STR_bit.no2
#define UA2TSF            UA2STR_bit.no7

#define CB0SCE            CB0CTL0_bit.no0
#define CB0DIR            CB0CTL0_bit.no4
#define CB0RXE            CB0CTL0_bit.no5
#define CB0TXE            CB0CTL0_bit.no6
#define CB0PWR            CB0CTL0_bit.no7

#define CB0OVE            CB0STR_bit.no0
#define CB0TSF            CB0STR_bit.no7

#define CB1SCE            CB1CTL0_bit.no0
#define CB1DIR            CB1CTL0_bit.no4
#define CB1RXE            CB1CTL0_bit.no5
#define CB1TXE            CB1CTL0_bit.no6
#define CB1PWR            CB1CTL0_bit.no7

#define CB1OVE            CB1STR_bit.no0
#define CB1TSF            CB1STR_bit.no7

#endif /* __IAR_SYSTEMS_ICC__ */

/***********************************************
 *       Interrupt/Exeption table declarations
 ***********************************************/

#define RESET_vector             (0x0000)
#define NMI_vector               (0x0010)
#define INTWDT2_vector           (0x0020)
#define DBG0_vector              (0x0060)
#define ILGOP_vector             (0x0060)
#define SECURITY_ID_vector       (0x0070)
#define OPTION_BYTES_vector      (0x007A)
#define INTLVI_vector            (0x0080)
#define INTP0_vector             (0x0090)
#define INTP1_vector             (0x00A0)
#define INTP2_vector             (0x00B0)
#define INTP3_vector             (0x00C0)
#define INTP4_vector             (0x00D0)
#define INTP5_vector             (0x00E0)
#define INTP6_vector             (0x00F0)
#define INTP7_vector             (0x0100)
#define INTTQ0OV_vector          (0x0110)
#define INTTQ0CC0_vector         (0x0120)
#define INTTQ0CC1_vector         (0x0130)
#define INTTQ0CC2_vector         (0x0140)
#define INTTQ0CC3_vector         (0x0150)
#define INTTP0OV_vector          (0x0160)
#define INTTP0CC0_vector         (0x0170)
#define INTTP0CC1_vector         (0x0180)
#define INTTP1OV_vector          (0x0190)
#define INTTP1CC0_vector         (0x01A0)
#define INTTP1CC1_vector         (0x01B0)
#define INTTP2OV_vector          (0x01C0)
#define INTTP2CC0_vector         (0x01D0)
#define INTTP2CC1_vector         (0x01E0)
#define INTTP3OV_vector          (0x01F0)
#define INTTP3CC0_vector         (0x0200)
#define INTTP3CC1_vector         (0x0210)
#define INTTM0EQ0_vector         (0x0220)
#define INTCB0R_vector           (0x0230)
#define INTCB0T_vector           (0x0240)
#define INTCB1R_vector           (0x0250)
#define INTCB1T_vector           (0x0260)
#define INTUA0R_vector           (0x0270)
#define INTUA0T_vector           (0x0280)
#define INTUA1R_vector           (0x0290)
#define INTUA1T_vector           (0x02A0)
#define INTAD_vector             (0x02B0)
#define INTKR_vector             (0x0300)
#define INTWTI_vector            (0x0310)
#define INTWT_vector             (0x0320)
#define INTP8_vector             (0x0330)
#define INTP9_vector             (0x0340)
#define INTP10_vector            (0x0350)
#define INTTQ1OV_vector          (0x0360)
#define INTTQ1CC0_vector         (0x0370)
#define INTTQ1CC1_vector         (0x0380)
#define INTTQ1CC2_vector         (0x0390)
#define INTTQ1CC3_vector         (0x03A0)
#define INTUA2R_vector           (0x03B0)
#define INTUA2T_vector           (0x03C0)
#define INTDMA0_vector           (0x0410)
#define INTDMA1_vector           (0x0420)
#define INTDMA2_vector           (0x0430)
#define INTDMA3_vector           (0x0440)
#define INTFLTMO_vector          (0x0470)

/***********************************************
 *       Trap vectors
 ***********************************************/

#define TRAP00_vector      (0x00)
#define TRAP01_vector      (0x01)
#define TRAP02_vector      (0x02)
#define TRAP03_vector      (0x03)
#define TRAP04_vector      (0x04)
#define TRAP05_vector      (0x05)
#define TRAP06_vector      (0x06)
#define TRAP07_vector      (0x07)
#define TRAP08_vector      (0x08)
#define TRAP09_vector      (0x09)
#define TRAP0A_vector      (0x0A)
#define TRAP0B_vector      (0x0B)
#define TRAP0C_vector      (0x0C)
#define TRAP0D_vector      (0x0D)
#define TRAP0E_vector      (0x0E)
#define TRAP0F_vector      (0x0F)
#define TRAP10_vector      (0x10)
#define TRAP11_vector      (0x11)
#define TRAP12_vector      (0x12)
#define TRAP13_vector      (0x13)
#define TRAP14_vector      (0x14)
#define TRAP15_vector      (0x15)
#define TRAP16_vector      (0x16)
#define TRAP17_vector      (0x17)
#define TRAP18_vector      (0x18)
#define TRAP19_vector      (0x19)
#define TRAP1A_vector      (0x1A)
#define TRAP1B_vector      (0x1B)
#define TRAP1C_vector      (0x1C)
#define TRAP1D_vector      (0x1D)
#define TRAP1E_vector      (0x1E)
#define TRAP1F_vector      (0x1F)

/***********************************************
 *       Callt vectors
 ***********************************************/

#define CALLT00_vector     (0x00)
#define CALLT01_vector     (0x01)
#define CALLT02_vector     (0x02)
#define CALLT03_vector     (0x03)
#define CALLT04_vector     (0x04)
#define CALLT05_vector     (0x05)
#define CALLT06_vector     (0x06)
#define CALLT07_vector     (0x07)
#define CALLT08_vector     (0x08)
#define CALLT09_vector     (0x09)
#define CALLT0A_vector     (0x0A)
#define CALLT0B_vector     (0x0B)
#define CALLT0C_vector     (0x0C)
#define CALLT0D_vector     (0x0D)
#define CALLT0E_vector     (0x0E)
#define CALLT0F_vector     (0x0F)
#define CALLT10_vector     (0x10)
#define CALLT11_vector     (0x11)
#define CALLT12_vector     (0x12)
#define CALLT13_vector     (0x13)
#define CALLT14_vector     (0x14)
#define CALLT15_vector     (0x15)
#define CALLT16_vector     (0x16)
#define CALLT17_vector     (0x17)
#define CALLT18_vector     (0x18)
#define CALLT19_vector     (0x19)
#define CALLT1A_vector     (0x1A)
#define CALLT1B_vector     (0x1B)
#define CALLT1C_vector     (0x1C)
#define CALLT1D_vector     (0x1D)
#define CALLT1E_vector     (0x1E)
#define CALLT1F_vector     (0x1F)
#define CALLT20_vector     (0x20)
#define CALLT21_vector     (0x21)
#define CALLT22_vector     (0x22)
#define CALLT23_vector     (0x23)
#define CALLT24_vector     (0x24)
#define CALLT25_vector     (0x25)
#define CALLT26_vector     (0x26)
#define CALLT27_vector     (0x27)
#define CALLT28_vector     (0x28)
#define CALLT29_vector     (0x29)
#define CALLT2A_vector     (0x2A)
#define CALLT2B_vector     (0x2B)
#define CALLT2C_vector     (0x2C)
#define CALLT2D_vector     (0x2D)
#define CALLT2E_vector     (0x2E)
#define CALLT2F_vector     (0x2F)
#define CALLT30_vector     (0x30)
#define CALLT31_vector     (0x31)
#define CALLT32_vector     (0x32)
#define CALLT33_vector     (0x33)
#define CALLT34_vector     (0x34)
#define CALLT35_vector     (0x35)
#define CALLT36_vector     (0x36)
#define CALLT37_vector     (0x37)
#define CALLT38_vector     (0x38)
#define CALLT39_vector     (0x39)
#define CALLT3A_vector     (0x3A)
#define CALLT3B_vector     (0x3B)
#define CALLT3C_vector     (0x3C)
#define CALLT3D_vector     (0x3D)
#define CALLT3E_vector     (0x3E)
#define CALLT3F_vector     (0x3F)

#pragma language=default

#endif /* __IO70F3707_H__ */
